namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Clock::format_get() const
{
   const char * __return_value =  ::efl_ui_clock_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::format_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type fmt) const
{
    ::efl_ui_clock_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(fmt));
}
inline ::efl::eolian::return_traits<bool>::type Clock::pause_get() const
{
   Eina_Bool __return_value =  ::efl_ui_clock_pause_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::pause_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::efl_ui_clock_pause_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline ::efl::eolian::return_traits<bool>::type Clock::edit_mode_get() const
{
   Eina_Bool __return_value =  ::efl_ui_clock_edit_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::edit_mode_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::efl_ui_clock_edit_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_min_get( ::efl::eolian::in_traits<Efl_Time const&>::type mintime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_min_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(mintime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_min_set( ::efl::eolian::in_traits<Efl_Time const&>::type mintime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_min_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(mintime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_max_get( ::efl::eolian::in_traits<Efl_Time const&>::type maxtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_max_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(maxtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_max_set( ::efl::eolian::in_traits<Efl_Time const&>::type maxtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_max_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(maxtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_get( ::efl::eolian::in_traits<Efl_Time const&>::type curtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(curtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_set( ::efl::eolian::in_traits<Efl_Time const&>::type curtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(curtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::field_visible_get( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_field_visible_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::field_visible_set( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype,  ::efl::eolian::in_traits<bool>::type visible) const
{
    ::efl_ui_clock_field_visible_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(visible));
}
inline ::efl::eolian::return_traits<void>::type Clock::field_limit_get( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype,  ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type max) const
{
   int __out_param_min = {};
   int __out_param_max = {};
    ::efl_ui_clock_field_limit_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype)
      , & __out_param_min
      , & __out_param_max);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(min, __out_param_min);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(max, __out_param_max);
}
inline ::efl::eolian::return_traits<void>::type Clock::field_limit_set( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype,  ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type max) const
{
    ::efl_ui_clock_field_limit_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(min)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(max));
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Clock::format_get() const
{
   const char * __return_value =  ::efl_ui_clock_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::format_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type fmt) const
{
    ::efl_ui_clock_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(fmt));
}
inline ::efl::eolian::return_traits<bool>::type Clock::pause_get() const
{
   Eina_Bool __return_value =  ::efl_ui_clock_pause_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::pause_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::efl_ui_clock_pause_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline ::efl::eolian::return_traits<bool>::type Clock::edit_mode_get() const
{
   Eina_Bool __return_value =  ::efl_ui_clock_edit_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::edit_mode_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::efl_ui_clock_edit_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_min_get( ::efl::eolian::in_traits<Efl_Time const&>::type mintime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_min_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(mintime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_min_set( ::efl::eolian::in_traits<Efl_Time const&>::type mintime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_min_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(mintime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_max_get( ::efl::eolian::in_traits<Efl_Time const&>::type maxtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_max_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(maxtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_max_set( ::efl::eolian::in_traits<Efl_Time const&>::type maxtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_max_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(maxtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_get( ::efl::eolian::in_traits<Efl_Time const&>::type curtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(curtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::value_set( ::efl::eolian::in_traits<Efl_Time const&>::type curtime) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_value_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Time *,  ::efl::eolian::in_traits<Efl_Time const&>::type>(curtime));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Clock::field_visible_get( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype) const
{
   Eina_Bool __return_value =  ::efl_ui_clock_field_visible_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::field_visible_set( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype,  ::efl::eolian::in_traits<bool>::type visible) const
{
    ::efl_ui_clock_field_visible_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(visible));
}
inline ::efl::eolian::return_traits<void>::type Clock::field_limit_get( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype,  ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type max) const
{
   int __out_param_min = {};
   int __out_param_max = {};
    ::efl_ui_clock_field_limit_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype)
      , & __out_param_min
      , & __out_param_max);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(min, __out_param_min);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(max, __out_param_max);
}
inline ::efl::eolian::return_traits<void>::type Clock::field_limit_set( ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type fieldtype,  ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type max) const
{
    ::efl_ui_clock_field_limit_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Clock_Type,  ::efl::eolian::in_traits<Efl_Ui_Clock_Type>::type>(fieldtype)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(min)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(max));
}
inline efl::ui::Clock::operator ::efl::ui::Clock() const { return *static_cast< ::efl::ui::Clock const*>(static_cast<void const*>(this)); }
inline efl::ui::Clock::operator ::efl::ui::Clock&() { return *static_cast< ::efl::ui::Clock*>(static_cast<void*>(this)); }
inline efl::ui::Clock::operator ::efl::ui::Clock const&() const { return *static_cast< ::efl::ui::Clock const*>(static_cast<void const*>(this)); }
} } }

